Modify

Opened 5 years ago

Closed 3 years ago

#12257 closed defect (worksforme)

snapshots trunk ar71xx

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

cannot access to
snapshots trunk ar71xx

Attachments (0)

Change History (26)

comment:1 Changed 5 years ago by anonymous

yeah fix it

comment:2 Changed 5 years ago by marco.argenti@…

Where can I found a working repository for
OpenWrt Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138) ???

I see that some of these repositories (http://wiki.openwrt.org/doc/packages) are offline.

Thanks!

comment:3 Changed 5 years ago by david

I guess priority should be set to high - afaik all people trying to install OpenWrt cannot proceed?

comment:4 Changed 5 years ago by flyingstar16@…

I changed MY /etc/opkg.conf and used

src/gz attitude_adjustment http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ar71xx/generic/packages

Now it works, BUT if you plan on doing it BE SURE YOU EDIT THE PATH TO YOUR ARCHITECTURE'S.

i.e. go to

http://downloads.openwrt.org/attitude_adjustment/12.09-beta/

look for your architecture and use that link.

Of course, waiting for the trunk repo to come back online is the best option, but if you are in a hurry (like I was) it seems to work.

Cheers!

comment:5 follow-up: Changed 5 years ago by marco.argenti@…

Sorry for the question but I'm not good in these things! Which repository di I have to use for a fonera 2.0n with Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138)?

Thanks!

comment:6 in reply to: ↑ 5 ; follow-up: Changed 5 years ago by hnyman <hannu.nyman@…>

Replying to marco.argenti@…:

Sorry for the question but I'm not good in these things! Which repository di I have to use for a fonera 2.0n with Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138)?

Quick browsing reveals that Fonera20n files can be found from:
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/

comment:7 in reply to: ↑ 6 ; follow-up: Changed 5 years ago by anonymous

Replying to hnyman <hannu.nyman@…>:

Replying to marco.argenti@…:

Sorry for the question but I'm not good in these things! Which repository di I have to use for a fonera 2.0n with Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138)?

Quick browsing reveals that Fonera20n files can be found from:
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/

Thank you very much! I was looking for a working version of amule and transmission but I see there isn't one.

comment:8 in reply to: ↑ 7 ; follow-up: Changed 5 years ago by hnyman <hannu.nyman@…>

Replying to anonymous:

Replying to hnyman <hannu.nyman@…>:

Replying to marco.argenti@…:

Sorry for the question but I'm not good in these things! Which repository di I have to use for a fonera 2.0n with Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138)?

Quick browsing reveals that Fonera20n files can be found from:
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/

Thank you very much! I was looking for a working version of amule and transmission but I see there isn't one.

Did you check the packages subdirectory, where the packages are? (I gave just the main dir.)

To me it looks like both amule and transmission are there.
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/packages/

comment:9 Changed 5 years ago by marco.argenti@…

Oh... thank you! I meant that I'm not so good in these things ;)
Thank you very much, now I try to use that repository.

comment:10 in reply to: ↑ 8 ; follow-up: Changed 5 years ago by marco.argenti@…

Replying to hnyman <hannu.nyman@…>:

Replying to anonymous:

Replying to hnyman <hannu.nyman@…>:

Replying to marco.argenti@…:

Sorry for the question but I'm not good in these things! Which repository di I have to use for a fonera 2.0n with Attitude Adjustment r33265 /LuCI Trunk (trunk+svn9138)?

Quick browsing reveals that Fonera20n files can be found from:
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/

Thank you very much! I was looking for a working version of amule and transmission but I see there isn't one.

Did you check the packages subdirectory, where the packages are? (I gave just the main dir.)

To me it looks like both amule and transmission are there.
http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/packages/

Sorry for the questions, but how can I configure the opkg.conf file for my fonera?
I tried this:
src/gz attitude_adjustment http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x
dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay

But it gives me this error:
opkg_download: Failed to download http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/Packages.gz, wget returned 1.

comment:11 in reply to: ↑ 10 Changed 5 years ago by hnyman <hannu.nyman@…>

comment:12 follow-up: Changed 5 years ago by marco.argenti@…

Sorry, so how do I have to configure the opkg.conf file?

comment:13 in reply to: ↑ 12 ; follow-up: Changed 5 years ago by hnyman <hannu.nyman@…>

Replying to marco.argenti@…:

Sorry, so how do I have to configure the opkg.conf file?

You need to point it to the packages subdir:

src/gz attitude_adjustment ​http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/packages

comment:14 in reply to: ↑ 13 Changed 5 years ago by marco.argenti@…

Replying to hnyman <hannu.nyman@…>:

Replying to marco.argenti@…:

Sorry, so how do I have to configure the opkg.conf file?

You need to point it to the packages subdir:

src/gz attitude_adjustment ​http://downloads.openwrt.org/attitude_adjustment/12.09-beta/ramips/rt305x/packages

Thank you very very very very very much!!!! Now it works!!!

comment:15 follow-up: Changed 5 years ago by s-openwrtf@…

Still missing (Oct 10), causing opkg update to fail. (ar71xx)

A shame, since the Buffalo WZR-HP-AG300H is one of the best OpenWRT routers for under $100.

comment:16 in reply to: ↑ 15 ; follow-up: Changed 5 years ago by marco.argenti@…

Replying to s-openwrtf@…:

Still missing (Oct 10), causing opkg update to fail. (ar71xx)

A shame, since the Buffalo WZR-HP-AG300H is one of the best OpenWRT routers for under $100.

opkg works for me, I installed some packets just few minutes ago.

Anyway, is there a solution for the kmod-fs-ext4 packet? It tells me:

 satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-fs-ext4:
 *      kernel (= 3.3.8-1-5e4409b7ba2184d135a817b57388080f) *   kernel (= 3.3.8-1-767d0e63d780d3830b07f77b3f1734b8) *
 * opkg_install_cmd: Cannot install package kmod-fs-ext4.

comment:17 in reply to: ↑ 16 Changed 5 years ago by hnyman <hannu.nyman@…>

Replying to marco.argenti@…:

Anyway, is there a solution for the kmod-fs-ext4 packet? It tells me:

 satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-fs-ext4:
 *      kernel (= 3.3.8-1-5e4409b7ba2184d135a817b57388080f) *   kernel (= 3.3.8-1-767d0e63d780d3830b07f77b3f1734b8) *
 * opkg_install_cmd: Cannot install package kmod-fs-ext4.

opkg option: --force-depends

http://wiki.openwrt.org/doc/techref/opkg

There is "too strict" dependency check for kernel modules, making it rather impossible to install kernel mods if they have not been compiled at the same time as your kernel. You can override that cheeck though.

Ps. this "bug" has nothing to do with the original subject of this bug.

comment:18 Changed 5 years ago by anonymous

http://downloads.openwrt.org/snapshots/ is still down for me.

Any word on progress... Really you don't know what you got till its gone.

comment:19 Changed 5 years ago by hnyman <hannu.nyman@…>

Comment from a developer yesterday in https://lists.openwrt.org/pipermail/openwrt-devel/2012-October/017144.html :

as for the buildbot setup ... we have 40 new cores that we will use for the job. we are in the process of setting up the servers.

comment:20 Changed 5 years ago by hnyman <hannu.nyman@…>

This ticket can be closed as new trunk snapshot firmwares and packages have been uploaded to the download server.

http://downloads.openwrt.org/snapshots/trunk/ar71xx/
http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/

comment:21 Changed 5 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

comment:22 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:23 Changed 3 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

The issue seem to have come back. Is it only for me or is it for everyone? I cant access the server. My config:

root@Server1:/etc# cat opkg.conf
src/gz barrier_breaker http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages
dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay
root@Server1:/etc#

I beleive it should be fine and it was working before but not anymore. Did something change? Is the server offline?

comment:24 Changed 3 years ago by anonymous

It seem to be online but frieken slow. Please do something:)

comment:25 Changed 3 years ago by anonymous

Not counting the fact that the server was overloaded the url changed to http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/packages/Packages.gz so now it seems to be working and can be closed but its a non-sense url:S

comment:26 Changed 3 years ago by jow

  • Resolution set to worksforme
  • Status changed from reopened to closed

Repositories have been split, your opkg.conf should contain these entries now:

src/gz chaos_calmer_base http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/base
src/gz chaos_calmer_luci http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/luci
src/gz chaos_calmer_management http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/management
src/gz chaos_calmer_packages http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/packages
src/gz chaos_calmer_routing http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/routing
src/gz chaos_calmer_telephony http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/telephony

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.